%{?nodejs_find_provides_and_requires}

%global packagename es6-iterator
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es6-iterator
Version:	2.0.0
Release:	1%{?dist}
Summary:	Iterator abstraction based on ES6 specification

License:	MIT
URL:		https://github.com/medikoo/es6-iterator.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	nodejs

%description
Iterator abstraction based on ES6 specification


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \#/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
